import { Language } from './language';
/**
 * Reloads the snippets index.
 */
export declare function reload(): void;
/**
 * Gets a language by name.
 * @param name name of the Language
 * @returns the associated Language object
 */
export declare function getLanguage(name: string): Language;
/**
 * A list of language names defined in snippets.jsonc
 * @returns list of languages
 */
export declare function getLanguageNames(): string[];
/**
 * Gets a list of languages defined in snippets.jsonc
 * @returns list of languages
 */
export declare function getLanguages(): Language[];
export * from './language';
export * from './snippet';
