# Contributing to CodeSnippets
Here you'll find how you can contribute to CodeSnippets.  Thanks for supporting the project! :)

## What can I Contribute?
- Code snippets.  You can contribute by submitting code snippets via creating a file in a programming language's folder.  For example, if I was going to create a JavaScript code snippet, I could put my snippet's file in the `javascript` folder.
- Programming languages.  You can add a programming language to the `snippets.jsonc` file using the following format:
```jsonc
[
	{
		"name": "JavaScript", 	// Name of the programming language
		"short": "js", 			// Short name of the programming language (used for syntax highlighting)
		"path": "javascript/*"	// Glob path to the programming language's snippets
	}
]
```

## More Info
If you need any help getting started with contributing, feel free to [create an issue](https://github.com/trimorphdev/codesnippets/issues/new).